Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003754TestLinkReportspublic2010-09-07 13:062010-10-09 08:01
Reportermehrich 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003754: Bugs not reported in test report [Fix included]
DescriptionIn the test report related bugs are not reported.
In addition there is a warning in the event log about an unknown config option 'bugInterface':
Source | GUI
Description | config option not available: bugInterface

Steps To Reproduce1. configure bug tracking system
2. execute a test case and let it fail
3. enter a bug ID for the test case
4. create a test report with test results (Reports - Test Report)
Additional InformationThe fix is quite easy. In the file lib/functions/print.inc.php add the lines

if (config_get('interface_bugs') != 'NO')
{
  require_once(TL_ABS_PATH. 'lib' . DIRECTORY_SEPARATOR . 'bugtracking' .
               DIRECTORY_SEPARATOR . 'int_bugtracking.php');
}

after the line 'require_once("exec.inc.php");'

Fix is attached.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version5.3
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon print.inc.zip [^] (11,403 bytes) 2010-09-07 13:06

- Relationships

-  Notes
(0011790)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-07 13:06 mehrich New Issue
2010-09-07 13:06 mehrich File Added: print.inc.zip
2010-09-13 12:26 Julian Status new => resolved
2010-09-13 12:26 Julian Fixed in Version => 1.9 RC 1
2010-09-13 12:26 Julian Resolution open => fixed
2010-09-13 12:26 Julian Assigned To => Julian
2010-10-09 08:01 fman Note Added: 0011790
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker